### Home Classes Methods

### In Files

- lib/bio/db/prosite.rb

### Parent

EMBLDB

### Methods

- ::new
- ::pa2re
- #ac
- #cc
- #comment
- #date
- #de
- #definition
- #division
- #dr
- #dt
- #entry_id
- #false_neg
- #false_negative_hits
- #false_pos
- #false_positive_hits
- #false_positive_sequences
- #list_falsenegative
- #list_falsepositive
- #list_potentialhit
- #list_truepositive
- #list_unknown
- #list_xref
- #ma
- #ma2re
- #max_repeat
- #name
- #nr
- #pa
- #pa2re
- #partial
- #pattern
- #pdb_xref
- #pdoc_xref
- #positive
- #positive_hits
- #positive_sequences
- #profile
- #re
- #release
- #ru
- #rule
- #site
- #skip_flag
- #sp_xref
- #statistics
- #swissprot_release_number
- #swissprot_release_sequences
- #taxon_range
- #total
- #total_hits
- #total_sequences
- #unknown
- #unknown_hits
- #unknown_sequences

### Files

- KNOWN_ISSUES.rdoc
- README.rdoc
- README_DEV.rdoc
- RELEASE_NOTES.rdoc
- Changes-1.3.rdoc
- RELEASE_NOTES-1.4.0.rdoc
- RELEASE_NOTES-1.4.1.rdoc
- RELEASE_NOTES-1.4.2.rdoc

### Class/Module Index

Quicksearch

- Bio
- Bio::AAindex
- Bio::AAindex1
- Bio::AAindex2
- Bio::Abif
- Bio::Abif::DirectoryEntry
- Bio::Alignment
- Bio::Alignment::ArrayExtension
- Bio::Alignment::EnumerableExtension
- Bio::Alignment::FactoryTemplate
- Bio::Alignment::FactoryTemplate::FileInFileOut
- Bio::Alignment::FactoryTemplate::FileInFileOutWithTree
- Bio::Alignment::FactoryTemplate::FileInStdoutOut
- Bio::Alignment::FactoryTemplate::Simple
- Bio::Alignment::FactoryTemplate::StdinInFileOut
- Bio::Alignment::FactoryTemplate::WrapInputStdin
- Bio::Alignment::FactoryTemplate::WrapInputTempfile
- Bio::Alignment::FactoryTemplate::WrapOutputStdout
- Bio::Alignment::FactoryTemplate::WrapOutputTempfile
- Bio::Alignment::GAP
- Bio::Alignment::HashExtension
- Bio::Alignment::MultiFastaFormat
- Bio::Alignment::OriginalAlignment
- Bio::Alignment::OriginalPrivate
- Bio::Alignment::Output
- Bio::Alignment::PropertyMethods
- Bio::Alignment::SequenceArray
- Bio::Alignment::SequenceHash
- Bio::Alignment::Site
- Bio::Alignment::SiteMethods
- Bio::AminoAcid
- Bio::AminoAcid::Data
- Bio::Blast
- Bio::Blast::Bl2seq
- Bio::Blast::Bl2seq::Report
- Bio::Blast::Bl2seq::Report::HSP
- Bio::Blast::Bl2seq::Report::Hit
- Bio::Blast::Bl2seq::Report::Iteration
- Bio::Blast::Default
- Bio::Blast::Default::Report
- Bio::Blast::Default::Report::HSP
- Bio::Blast::Default::Report::Hit
- Bio::Blast::Default::Report::Iteration
- Bio::Blast::Default::Report_TBlast
- Bio::Blast::Fastacmd
- Bio::Blast::NCBIOptions
- Bio::Blast::RPSBlast
- Bio::Blast::RPSBlast::RPSBlastSplitter
- Bio::Blast::RPSBlast::Report
- Bio::Blast::RPSBlast::Report::FLATFILE_SPLITTER
- Bio::Blast::RPSBlast::Report::Iteration
- Bio::Blast::Remote
- Bio::Blast::Remote::DDBJ
- Bio::Blast::Remote::DDBJ::Information
- Bio::Blast::Remote::Ddbj
- Bio::Blast::Remote::GenomeNet
- Bio::Blast::Remote::GenomeNet::Information
- Bio::Blast::Remote::Genomenet
- Bio::Blast::Remote::Information
- Bio::Blast::Report
- Bio::Blast::Report::BlastXmlSplitter
- Bio::Blast::Report::FLATFILE_SPLITTER
- Bio::Blast::Report::Hit
- Bio::Blast::Report::Hsp
- Bio::Blast::Report::Iteration
- Bio::Blast::Report_tab
- Bio::Blast::WU
- Bio::Blast::WU::Report
- Bio::Blast::WU::Report::HSP
- Bio::Blast::WU::Report::Hit
- Bio::Blast::WU::Report::Iteration
- Bio::Blast::WU::Report_TBlast
- Bio::Blat
- Bio::Blat::Report
- Bio::Blat::Report::Hit
- Bio::Blat::Report::SegmentPair
- Bio::Blat::Report::SeqDesc
- Bio::ClustalW
- Bio::ClustalW::Report
- Bio::CodonTable
- Bio::ColorScheme
- Bio::Command
- Bio::Command::Tmpdir
- Bio::Command::Tmpdir::Remover
- Bio::ContingencyTable
- Bio::DAS
- Bio::DAS::DNA
- Bio::DAS::DSN
- Bio::DAS::ENTRY_POINT
- Bio::DAS::FEATURE
- Bio::DAS::GFF
- Bio::DAS::GROUP
- Bio::DAS::LINK
- Bio::DAS::SEGMENT
- Bio::DAS::SEQUENCE
- Bio::DAS::TARGET
- Bio::DAS::TYPE
- Bio::DAS::TYPES
- Bio::DB
- Bio::DBGET
- Bio::DDBJ
- Bio::DDBJ::REST
- Bio::DDBJ::REST::Blast
- Bio::DDBJ::REST::ClustalW
- Bio::DDBJ::REST::DDBJ
- Bio::DDBJ::REST::Mafft
- Bio::DDBJ::REST::RequestManager
- Bio::DDBJ::REST::WABItemplate
- Bio::DDBJ::XML
- Bio::DDBJ::XML::Blast
- Bio::DDBJ::XML::ClustalW
- Bio::DDBJ::XML::DDBJ
- Bio::DDBJ::XML::Fasta
- Bio::DDBJ::XML::GetEntry
- Bio::DDBJ::XML::Gib
- Bio::DDBJ::XML::Gtop
- Bio::DDBJ::XML::PML
- Bio::DDBJ::XML::RequestManager
- Bio::DDBJ::XML::RequestManager::REST
- Bio::DDBJ::XML::SRS
- Bio::DDBJ::XML::TxSearch
- Bio::EBI
- Bio::EBI::SOAP
- Bio::EBI::SOAP::Citation
- Bio::EBI::SOAP::ClustalW
- Bio::EBI::SOAP::Dbfetch
- Bio::EBI::SOAP::Emboss
- Bio::EBI::SOAP::Fasta
- Bio::EBI::SOAP::InterProScan
- Bio::EBI::SOAP::MPsrch
- Bio::EBI::SOAP::MSD
- Bio::EBI::SOAP::Muscle
- Bio::EBI::SOAP::Ontology
- Bio::EBI::SOAP::ScanPS
- Bio::EBI::SOAP::TCoffee
- Bio::EBI::SOAP::WUBlast
- Bio::EMBL
- Bio::EMBLDB
- Bio::EMBLDB::Common
- Bio::EMBOSS
- Bio::Ensembl
- Bio::Ensembl::Base
- Bio::Ensembl::Human
- Bio::Ensembl::Mouse
- Bio::FANTOM
- Bio::FANTOM::MaXML
- Bio::FANTOM::MaXML::Annotation
- Bio::FANTOM::MaXML::Annotation::DataSrc
- Bio::FANTOM::MaXML::Annotations
- Bio::FANTOM::MaXML::Cluster
- Bio::FANTOM::MaXML::Sequence
- Bio::FANTOM::MaXML::Sequences
- Bio::Fasta
- Bio::Fasta::Report
- Bio::Fasta::Report::FLATFILE_SPLITTER
- Bio::Fasta::Report::FastaFormat10Splitter
- Bio::Fasta::Report::Hit
- Bio::Fasta::Report::Hit::Query
- Bio::Fasta::Report::Hit::Target
- Bio::Fasta::Report::Program
- Bio::FastaDefline
- Bio::FastaFormat
- Bio::FastaNumericFormat
- Bio::Fastq
- Bio::Fastq::Error
- Bio::Fastq::Error::Diff_ids
- Bio::Fastq::Error::Long_qual
- Bio::Fastq::Error::No_atmark
- Bio::Fastq::Error::No_ids
- Bio::Fastq::Error::No_qual
- Bio::Fastq::Error::No_seq
- Bio::Fastq::Error::Qual_char
- Bio::Fastq::Error::Qual_range
- Bio::Fastq::Error::Seq_char
- Bio::Fastq::Error::Short_qual
- Bio::Fastq::Error::Skipped_unformatted_lines
- Bio::Fastq::FormatData
- Bio::Fastq::FormatData::FASTQ_ILLUMINA
- Bio::Fastq::FormatData::FASTQ_SANGER
- Bio::Fastq::FormatData::FASTQ_SOLEXA
- Bio::Feature
- Bio::Feature::Qualifier
- Bio::Features
- Bio::Fetch
- Bio::FlatFile
- Bio::FlatFile::AutoDetect
- Bio::FlatFile::AutoDetect::RuleDebug
- Bio::FlatFile::AutoDetect::RuleProc
- Bio::FlatFile::AutoDetect::RuleRegexp
- Bio::FlatFile::AutoDetect::RuleRegexp2
- Bio::FlatFile::AutoDetect::RuleSpecial
- Bio::FlatFile::AutoDetect::RuleTemplate
- Bio::FlatFile::AutoDetect::RulesArray
- Bio::FlatFile::BufferedInputStream
- Bio::FlatFile::Splitter
- Bio::FlatFile::Splitter::Default
- Bio::FlatFile::Splitter::LineOriented
- Bio::FlatFile::Splitter::Template
- Bio::FlatFile::UnknownDataFormatError
- Bio::FlatFileIndex
- Bio::FlatFileIndex::BDB_1
- Bio::FlatFileIndex::BDB_1::BDBMappingFile
- Bio::FlatFileIndex::BDB_1::PrimaryNameSpace
- Bio::FlatFileIndex::BDB_1::SecondaryNameSpace
- Bio::FlatFileIndex::BDBdefault
- Bio::FlatFileIndex::BDBwrapper
- Bio::FlatFileIndex::DEBUG
- Bio::FlatFileIndex::DataBank
- Bio::FlatFileIndex::FileID
- Bio::FlatFileIndex::FileIDs
- Bio::FlatFileIndex::Flat_1
- Bio::FlatFileIndex::Flat_1::FlatMappingFile
- Bio::FlatFileIndex::Flat_1::PrimaryNameSpace
- Bio::FlatFileIndex::Flat_1::Record
- Bio::FlatFileIndex::Flat_1::SecondaryNameSpace
- Bio::FlatFileIndex::Indexer
- Bio::FlatFileIndex::Indexer::NameSpace
- Bio::FlatFileIndex::Indexer::NameSpaces
- Bio::FlatFileIndex::Indexer::Parser
- Bio::FlatFileIndex::Indexer::Parser::BlastDefaultParser
- Bio::FlatFileIndex::Indexer::Parser::EMBLParser
- Bio::FlatFileIndex::Indexer::Parser::FastaFormatParser
- Bio::FlatFileIndex::Indexer::Parser::GenBankParser
- Bio::FlatFileIndex::Indexer::Parser::GenPeptParser
- Bio::FlatFileIndex::Indexer::Parser::MaXMLClusterParser
- Bio::FlatFileIndex::Indexer::Parser::MaXMLSequenceParser
- Bio::FlatFileIndex::Indexer::Parser::PDBChemicalComponentParser
- Bio::FlatFileIndex::Indexer::Parser::SPTRParser
- Bio::FlatFileIndex::Indexer::Parser::TemplateParser
- Bio::FlatFileIndex::NameSpaces
- Bio::FlatFileIndex::Results
- Bio::FlatFileIndex::Template
- Bio::FlatFileIndex::Template::NameSpace
- Bio::GCG
- Bio::GCG::Msf
- Bio::GCG::Seq
- Bio::GFF
- Bio::GFF::GFF2
- Bio::GFF::GFF2::Escape
- Bio::GFF::GFF2::MetaData
- Bio::GFF::GFF2::Record
- Bio::GFF::GFF2::Record::Value
- Bio::GFF::GFF3
- Bio::GFF::GFF3::Escape
- Bio::GFF::GFF3::Record
- Bio::GFF::GFF3::Record::Gap
- Bio::GFF::GFF3::Record::Gap::Code
- Bio::GFF::GFF3::Record::Target
- Bio::GFF::GFF3::RecordBoundary
- Bio::GFF::GFF3::SequenceRegion
- Bio::GFF::Record
- Bio::GO
- Bio::GO::External2go
- Bio::GO::GeneAssociation
- Bio::GO::Ontology
- Bio::GenBank
- Bio::GenBank::Locus
- Bio::GenPept
- Bio::GenPept::Locus
- Bio::Genscan
- Bio::Genscan::Report
- Bio::Genscan::Report::Exon
- Bio::Genscan::Report::Gene
- Bio::HGC
- Bio::HGC::HiGet
- Bio::HMMER
- Bio::HMMER::Report
- Bio::HMMER::Report::Hit
- Bio::HMMER::Report::Hsp
- Bio::Hinv
- Bio::Hinv::Acc2hit
- Bio::Hinv::Common
- Bio::Hinv::Hit2acc
- Bio::Hinv::HitCnt
- Bio::Hinv::HitDefinition
- Bio::Hinv::HitPubmedId
- Bio::Hinv::HitXML
- Bio::Hinv::Hix2hit
- Bio::Hinv::HixCnt
- Bio::Hinv::HixRepresent
- Bio::Hinv::HixXML
- Bio::Hinv::IdSearch
- Bio::Hinv::KeywordSearch
- Bio::Iprscan
- Bio::Iprscan::Report
- Bio::Iprscan::Report::Match
- Bio::KEGG
- Bio::KEGG::API
- Bio::KEGG::BRITE
- Bio::KEGG::COMPOUND
- Bio::KEGG::Common
- Bio::KEGG::Common::DblinksAsHash
- Bio::KEGG::Common::GenesAsHash
- Bio::KEGG::Common::ModulesAsHash
- Bio::KEGG::Common::OrthologsAsHash
- Bio::KEGG::Common::PathwaysAsHash
- Bio::KEGG::Common::References
- Bio::KEGG::Common::StringsAsHash
- Bio::KEGG::DRUG
- Bio::KEGG::ENZYME
- Bio::KEGG::EXPRESSION
- Bio::KEGG::GENES
- Bio::KEGG::GENOME
- Bio::KEGG::GLYCAN
- Bio::KEGG::KGML
- Bio::KEGG::KGML::Entry
- Bio::KEGG::KGML::Graphics
- Bio::KEGG::KGML::Product
- Bio::KEGG::KGML::Reaction
- Bio::KEGG::KGML::Relation
- Bio::KEGG::KGML::Substrate
- Bio::KEGG::KGML::SubstrateProduct
- Bio::KEGG::Keggtab
- Bio::KEGG::Keggtab::DB
- Bio::KEGG::MODULE
- Bio::KEGG::ORTHOLOGY
- Bio::KEGG::PATHWAY
- Bio::KEGG::REACTION
- Bio::KEGG::Taxonomy
- Bio::KEGGDB
- Bio::LITDB
- Bio::Lasergene
- Bio::Location
- Bio::Locations
- Bio::MAFFT
- Bio::MAFFT::Report
- Bio::MEDLINE
- Bio::Map
- Bio::Map::ActsLikeMap
- Bio::Map::ActsLikeMarker
- Bio::Map::Mapping
- Bio::Map::Marker
- Bio::Map::SimpleMap
- Bio::Meme
- Bio::Meme::Mast
- Bio::Meme::Mast::Report
- Bio::Meme::Motif
- Bio::Muscle
- Bio::Muscle::DEFAULT_PARSER
- Bio::NBRF
- Bio::NCBI
- Bio::NCBI::REST
- Bio::NCBI::REST::EFetch
- Bio::NCBI::REST::EFetch::Methods
- Bio::NCBI::REST::ESearch
- Bio::NCBI::REST::ESearch::Methods
- Bio::NCBI::SOAP
- Bio::NCBI::SOAP::EFetch
- Bio::NCBI::SOAP::EFetchLite
- Bio::NCBI::SOAP::EUtils
- Bio::NCBI::SOAP::EUtilsLite
- Bio::NCBIDB
- Bio::NCBIDB::Common
- Bio::Newick
- Bio::Newick::ParseError
- Bio::Nexus
- Bio::Nexus::CharactersBlock
- Bio::Nexus::DataBlock
- Bio::Nexus::DistancesBlock
- Bio::Nexus::GenericBlock
- Bio::Nexus::NexusMatrix
- Bio::Nexus::NexusMatrix::NexusMatrixError
- Bio::Nexus::NexusParseError
- Bio::Nexus::TaxaBlock
- Bio::Nexus::TreesBlock
- Bio::Nexus::Util
- Bio::NucleicAcid
- Bio::NucleicAcid::Data
- Bio::PAML
- Bio::PAML::Baseml
- Bio::PAML::Baseml::Report
- Bio::PAML::Codeml
- Bio::PAML::Codeml::Model
- Bio::PAML::Codeml::PositiveSite
- Bio::PAML::Codeml::PositiveSites
- Bio::PAML::Codeml::Rates
- Bio::PAML::Codeml::Report
- Bio::PAML::Codeml::ReportError
- Bio::PAML::Codeml::ReportSingle
- Bio::PAML::Common
- Bio::PAML::Common::Report
- Bio::PAML::Yn00
- Bio::PAML::Yn00::Report
- Bio::PDB
- Bio::PDB::AtomFinder
- Bio::PDB::Chain
- Bio::PDB::ChainFinder
- Bio::PDB::ChemicalComponent
- Bio::PDB::ChemicalComponent::Record
- Bio::PDB::Coordinate
- Bio::PDB::DataType
- Bio::PDB::DataType::ConstLikeMethod
- Bio::PDB::DataType::Pdb_AChar
- Bio::PDB::DataType::Pdb_Atom
- Bio::PDB::DataType::Pdb_Character
- Bio::PDB::DataType::Pdb_Date
- Bio::PDB::DataType::Pdb_IDcode
- Bio::PDB::DataType::Pdb_Integer
- Bio::PDB::DataType::Pdb_LString
- Bio::PDB::DataType::Pdb_List
- Bio::PDB::DataType::Pdb_Real
- Bio::PDB::DataType::Pdb_Residue_name
- Bio::PDB::DataType::Pdb_SList
- Bio::PDB::DataType::Pdb_Specification_list
- Bio::PDB::DataType::Pdb_String
- Bio::PDB::DataType::Pdb_StringRJ
- Bio::PDB::DataType::Pdb_SymOP
- Bio::PDB::HetatmFinder
- Bio::PDB::Heterogen
- Bio::PDB::HeterogenFinder
- Bio::PDB::Model
- Bio::PDB::ModelFinder
- Bio::PDB::Record
- Bio::PDB::Record::ANISOU
- Bio::PDB::Record::ATOM
- Bio::PDB::Record::HETATM
- Bio::PDB::Record::Jrnl
- Bio::PDB::Record::Remark1
- Bio::PDB::Record::Remark2
- Bio::PDB::Residue
- Bio::PDB::ResidueFinder
- Bio::PDB::Utils
- Bio::PROSITE
- Bio::PSORT
- Bio::PSORT::CGIDriver
- Bio::PSORT::IPSORT
- Bio::PSORT::PSORT1
- Bio::PSORT::PSORT1::Remote
- Bio::PSORT::PSORT1::Report
- Bio::PSORT::PSORT2
- Bio::PSORT::PSORT2::Remote
- Bio::PSORT::PSORT2::Report
- Bio::PSORT::PSORTB
- Bio::PSORT::WoLF_PSORT
- Bio::PTS1
- Bio::PTS1::Report
- Bio::Pathway
- Bio::Phylip
- Bio::Phylip::DistanceMatrix
- Bio::Phylip::PhylipFormat
- Bio::PhyloXML
- Bio::PhyloXML::Accession
- Bio::PhyloXML::Annotation
- Bio::PhyloXML::BinaryCharacters
- Bio::PhyloXML::BranchColor
- Bio::PhyloXML::CladeRelation
- Bio::PhyloXML::Confidence
- Bio::PhyloXML::Date
- Bio::PhyloXML::Distribution
- Bio::PhyloXML::DomainArchitecture
- Bio::PhyloXML::Events
- Bio::PhyloXML::Id
- Bio::PhyloXML::Node
- Bio::PhyloXML::Other
- Bio::PhyloXML::Parser
- Bio::PhyloXML::Point
- Bio::PhyloXML::Polygon
- Bio::PhyloXML::Property
- Bio::PhyloXML::ProteinDomain
- Bio::PhyloXML::Reference
- Bio::PhyloXML::Sequence
- Bio::PhyloXML::SequenceRelation
- Bio::PhyloXML::Taxonomy
- Bio::PhyloXML::Tree
- Bio::PhyloXML::Uri
- Bio::PhyloXML::Writer
- Bio::Probcons
- Bio::PubMed
- Bio::REBASE
- Bio::RefSeq
- Bio::Reference
- Bio::References
- Bio::Registry
- Bio::Registry::DB
- Bio::RestrictionEnzyme
- Bio::RestrictionEnzyme::Analysis
- Bio::RestrictionEnzyme::CutSymbol
- Bio::RestrictionEnzyme::CutSymbol::CutSymbol__
- Bio::RestrictionEnzyme::DenseIntArray
- Bio::RestrictionEnzyme::DoubleStranded
- Bio::RestrictionEnzyme::DoubleStranded::AlignedStrands
- Bio::RestrictionEnzyme::DoubleStranded::CutLocationPair
- Bio::RestrictionEnzyme::DoubleStranded::CutLocationPairInEnzymeNotation
- Bio::RestrictionEnzyme::DoubleStranded::CutLocations
- Bio::RestrictionEnzyme::DoubleStranded::CutLocationsInEnzymeNotation
- Bio::RestrictionEnzyme::DoubleStranded::EnzymeAction
- Bio::RestrictionEnzyme::Fragments
- Bio::RestrictionEnzyme::Range
- Bio::RestrictionEnzyme::Range::CutRange
- Bio::RestrictionEnzyme::Range::CutRanges
- Bio::RestrictionEnzyme::Range::HorizontalCutRange
- Bio::RestrictionEnzyme::Range::SequenceRange
- Bio::RestrictionEnzyme::Range::SequenceRange::CalculatedCuts
- Bio::RestrictionEnzyme::Range::SequenceRange::Fragment
- Bio::RestrictionEnzyme::Range::SequenceRange::Fragments
- Bio::RestrictionEnzyme::Range::VerticalCutRange
- Bio::RestrictionEnzyme::SingleStrand
- Bio::RestrictionEnzyme::SingleStrand::CutLocationsInEnzymeNotation
- Bio::RestrictionEnzyme::SingleStrandComplement
- Bio::RestrictionEnzyme::SortedNumArray
- Bio::RestrictionEnzyme::StringFormatting
- Bio::SOAPWSDL
- Bio::SOFT
- Bio::SOSUI
- Bio::SOSUI::Report
- Bio::SOSUI::Report::TMH
- Bio::SPTR
- Bio::SQL
- Bio::SQL::Biodatabase
- Bio::SQL::Bioentry
- Bio::SQL::BioentryDbxref
- Bio::SQL::BioentryPath
- Bio::SQL::BioentryQualifierValue
- Bio::SQL::BioentryReference
- Bio::SQL::BioentryRelationship
- Bio::SQL::Biosequence
- Bio::SQL::Comment
- Bio::SQL::Dbxref
- Bio::SQL::DbxrefQualifierValue
- Bio::SQL::DummyBase
- Bio::SQL::Location
- Bio::SQL::LocationQualifierValue
- Bio::SQL::Ontology
- Bio::SQL::Reference
- Bio::SQL::Seqfeature
- Bio::SQL::SeqfeatureDbxref
- Bio::SQL::SeqfeaturePath
- Bio::SQL::SeqfeatureQualifierValue
- Bio::SQL::SeqfeatureRelationship
- Bio::SQL::Sequence
- Bio::SQL::Taxon
- Bio::SQL::TaxonName
- Bio::SQL::Term
- Bio::SQL::TermDbxref
- Bio::SQL::TermPath
- Bio::SQL::TermRelationship
- Bio::SQL::TermRelationshipTerm
- Bio::SQL::TermSynonym
- Bio::SangerChromatogram
- Bio::Scf
- Bio::Sequence
- Bio::Sequence::AA
- Bio::Sequence::Adapter
- Bio::Sequence::Adapter::BioSQL
- Bio::Sequence::Adapter::EMBL
- Bio::Sequence::Adapter::FastaFormat
- Bio::Sequence::Adapter::FastaNumericFormat
- Bio::Sequence::Adapter::Fastq
- Bio::Sequence::Adapter::GenBank
- Bio::Sequence::Adapter::SangerChromatogram
- Bio::Sequence::Common
- Bio::Sequence::DBLink
- Bio::Sequence::Format
- Bio::Sequence::Format::AminoFormatter
- Bio::Sequence::Format::Formatter
- Bio::Sequence::Format::Formatter::Fasta
- Bio::Sequence::Format::Formatter::Fasta_ncbi
- Bio::Sequence::Format::Formatter::Fasta_numeric
- Bio::Sequence::Format::Formatter::Fastq
- Bio::Sequence::Format::Formatter::Fastq_illumina
- Bio::Sequence::Format::Formatter::Fastq_sanger
- Bio::Sequence::Format::Formatter::Fastq_solexa
- Bio::Sequence::Format::Formatter::Qual
- Bio::Sequence::Format::Formatter::Raw
- Bio::Sequence::Format::FormatterBase
- Bio::Sequence::Format::INSDFeatureHelper
- Bio::Sequence::Format::NucFormatter
- Bio::Sequence::Format::NucFormatter::Embl
- Bio::Sequence::Format::NucFormatter::Genbank
- Bio::Sequence::NA
- Bio::Sequence::NA::MidiTrack
- Bio::Sequence::QualityScore
- Bio::Sequence::QualityScore::Converter
- Bio::Sequence::QualityScore::Phred
- Bio::Sequence::QualityScore::Solexa
- Bio::Sequence::SequenceMasker
- Bio::Shell
- Bio::Shell::ColoredCodonTable
- Bio::Shell::Core
- Bio::Shell::Demo
- Bio::Shell::Ghost
- Bio::Shell::Irb
- Bio::Shell::Private
- Bio::Shell::Script
- Bio::Shell::Setup
- Bio::Shell::Web
- Bio::Shell::Web::Results
- Bio::SiRNA
- Bio::SiRNA::Pair
- Bio::SiRNA::ShRNA
- Bio::Sim4
- Bio::Sim4::Report
- Bio::Sim4::Report::Hit
- Bio::Sim4::Report::Segment
- Bio::Sim4::Report::SegmentPair
- Bio::Sim4::Report::SeqDesc
- Bio::Spidey
- Bio::Spidey::Report
- Bio::Spidey::Report::Hit
- Bio::Spidey::Report::Segment
- Bio::Spidey::Report::SegmentPair
- Bio::Spidey::Report::SeqDesc
- Bio::SwissProt
- Bio::TMHMM
- Bio::TMHMM::Report
- Bio::TMHMM::TMH
- Bio::TRANSFAC
- Bio::TRANSFAC::CELL
- Bio::TRANSFAC::CLASS
- Bio::TRANSFAC::FACTOR
- Bio::TRANSFAC::GENE
- Bio::TRANSFAC::MATRIX
- Bio::TRANSFAC::SITE
- Bio::TargetP
- Bio::TargetP::Report
- Bio::Taxonomy
- Bio::Tcoffee
- Bio::Tcoffee::DEFAULT_PARSER
- Bio::TogoWS
- Bio::TogoWS::AccessWait
- Bio::TogoWS::REST
- Bio::TrEMBL
- Bio::Tree
- Bio::Tree::Edge
- Bio::Tree::NoPathError
- Bio::Tree::Node
- Bio::UniProt
- BiorubyController
- BiorubyGenerator
- BiorubyHelper
- Hash
- Object
- String

No matching classes.

# Bio::PROSITE

### Constants

DELIMITER

  Delimiter

RS

  Delimiter

TAGSIZE

  Bio::DB API

### Public Class Methods

new(entry) click to toggle source

    # File lib/bio/db/prosite.rb, line 26
    def initialize(entry)
      super(entry, TAGSIZE)
    end

pa2re(pattern) click to toggle source

    prosite pattern to regular expression

prosite/prosuser.txt:

The PA (PAttern) lines contains the definition of a PROSITE pattern. The patterns are described using the following conventions:

0) The standard IUPAC one-letter codes for the amino acids are used. 0) Ambiguities are indicated by listing the acceptable amino acids for a

    given position, between square parentheses `[ ]'. For example: [ALT]
    stands for Ala or Leu or Thr.

1) A period ends the pattern. 2) When a pattern is restricted to either the N- or C-terminal of a

    sequence, that pattern either starts with a `<' symbol or respectively
    ends with a `>' symbol.

3) Ambiguities are also indicated by listing between a pair of curly

    brackets `{ }' the amino acids that are not accepted at a given
    position. For example: {AM} stands for any amino acid except Ala and
    Met.

4) Repetition of an element of the pattern can be indicated by following

    that element with a numerical value or a numerical range between
    parenthesis. Examples: x(3) corresponds to x-x-x, x(2,4) corresponds to
    x-x or x-x-x or x-x-x-x.

5) The symbol `x' is used for a position where any amino acid is accepted. 6) Each element in a pattern is separated from its neighbor by a `-'.

Examples:

PA [AC]-x-V-x(4)-{ED}.

This pattern is translated as: [Ala or Cys]-any-Val-any-any-any-any-{any but Glu or Asp}

PA <A-x-(2)-x(0,1)-V.

This pattern, which must be in the N-terminal of the sequence (`<'), is translated as: Ala-any-[Ser or Thr]-[Ser or Thr]-(any or none)-Val

    # File lib/bio/db/prosite.rb, line 467
    def self.pa2re(pattern)
      pattern.gsub!(/\s/, '')     # remove white spaces
      pattern.sub!(/\.$/, '')     # (1) remove trailing '.'
      pattern.sub!(/^</, '^')     # (2) restricted to the N-terminal : `<'
      pattern.sub!(/>$/, '$')     # (2) restricted to the C-terminal : `>'
      pattern.gsub!(/\{(\w+)\}/) { |m|
        '[^' + $1 + ']'           # (3) not accepted at a given position : '{}'
      }
      pattern.gsub!(/\(([\d,]+)\)/) { |m|
        '{' + $1 + '}'            # (4) repetition of an element : (n), (n,m)
      }
      pattern.tr!('x', '.')       # (5) any amino acid is accepted : 'x'
      pattern.tr!('-', '')        # (6) each element is separated by a '-'
      Regexp.new(pattern, Regexp::IGNORECASE)
    end

### Public Instance Methods

ac() click to toggle source

AC Accession number (1 per entry)

    AC   PSnnnnn;

Returns

    # File lib/bio/db/prosite.rb, line 57
    def ac
      unless @data['AC']
        @data['AC'] = fetch('AC').chomp(';')
      end
      @data['AC']
    end

Also aliased as: entry_id
cc() click to toggle source

CC Comments (>=0 per entry)

    CC   /QUALIFIER=data; /QUALIFIER=data; .......

/TAXO-RANGE Taxonomic range. /MAX-REPEAT Maximum known number of repetitions of the pattern in a

    single protein.

/SITE Indication of an `interesting' site in the pattern. /SKIP-FLAG Indication of an entry that can be, in some cases, ignored

    by a program (because it is too unspecific).

Returns

    # File lib/bio/db/prosite.rb, line 273
    def cc
      unless @data['CC']
        hash = {}                 # temporal hash
        fetch('CC').scan(%{/(\S+)=([^;]+);}).each do |k, v|
          hash[k] = v
        end
        @data['CC'] = hash
      end
      @data['CC']
    end

Also aliased as: comment
comment() click to toggle source
Alias for: cc
date() click to toggle source
Alias for: dt
de() click to toggle source

DE Short description (1 per entry)

    DE   Description.

Returns

    # File lib/bio/db/prosite.rb, line 84
    def de
      field_fetch('DE')
    end

Also aliased as: definition
definition() click to toggle source
Alias for: de
division() click to toggle source

Returns

    # File lib/bio/db/prosite.rb, line 44
    def division
      unless @data['TYPE']
        name
      end
      @data['TYPE']
    end

dr() click to toggle source

DR Cross-references to SWISS-PROT (>=0 per entry)

    DR   AC_NB, ENTRY_NAME, C; AC_NB, ENTRY_NAME, C; AC_NB, ENTRY_NAME, C;

- `AC_NB' is the SWISS-PROT primary accession number of the entry to which reference is being made.

- `ENTRY_NAME' is the SWISS-PROT entry name.

- `C' is a one character flag that can be one of the following:

T For a true positive. N For a false negative; a sequence which belongs to the set under

    consideration, but which has not been picked up by the pattern or
    profile.

P For a `potential' hit; a sequence that belongs to the set under

    consideration, but which was not picked up because the region(s) that
    are used as a 'fingerprint' (pattern or profile) is not yet available
    in the data bank (partial sequence).

? For an unknown; a sequence which possibly could belong to the set under

    consideration.

F For a false positive; a sequence which does not belong to the set in

    consideration.

Returns

    # File lib/bio/db/prosite.rb, line 349
    def dr
      unless @data['DR']
        hash = {}                 # temporal hash
        if fetch('DR')
          fetch('DR').scan(/(\w+)\s*, (\w+)\s*, (.);/).each do |a, e, c|
            hash[a] = [e, c]      # SWISS-PROT : accession, entry, true/false
          end
        end
        @data['DR'] = hash
      end
      @data['DR']
    end

Also aliased as: sp_xref
dt() click to toggle source

DT Date (1 per entry)

    DT   MMM-YYYY (CREATED); MMM-YYYY (DATA UPDATE); MMM-YYYY (INFO UPDATE).

Returns

    # File lib/bio/db/prosite.rb, line 72
    def dt
      field_fetch('DT')
    end

Also aliased as: date
entry_id() click to toggle source
Alias for: ac
false_neg() click to toggle source

Returns

    # File lib/bio/db/prosite.rb, line 250
    def false_neg
      statistics['FALSE_NEG']
    end

Also aliased as: false_negative_hits
false_negative_hits() click to toggle source
Alias for: false_neg
false_pos() click to toggle source

Returns

    # File lib/bio/db/prosite.rb, line 235
    def false_pos
      statistics['FALSE_POS']
    end

false_positive_hits() click to toggle source

Returns

    # File lib/bio/db/prosite.rb, line 240
    def false_positive_hits
      false_pos.first
    end

false_positive_sequences() click to toggle source

Returns

    # File lib/bio/db/prosite.rb, line 245
    def false_positive_sequences
      false_pos.last
    end

list_falsenegative(by_name = nil) click to toggle source

Returns

    # File lib/bio/db/prosite.rb, line 386
    def list_falsenegative(by_name = nil)
      list_xref('F', by_name)
    end

list_falsepositive(by_name = nil) click to toggle source

Returns

    # File lib/bio/db/prosite.rb, line 391
    def list_falsepositive(by_name = nil)
      list_xref('P', by_name)
    end

list_potentialhit(by_name = nil) click to toggle source

Returns

    # File lib/bio/db/prosite.rb, line 396
    def list_potentialhit(by_name = nil)
      list_xref('P', by_name)
    end

list_truepositive(by_name = nil) click to toggle source

Returns

    # File lib/bio/db/prosite.rb, line 381
    def list_truepositive(by_name = nil)
      list_xref('T', by_name)
    end

list_unknown(by_name = nil) click to toggle source

Returns

    # File lib/bio/db/prosite.rb, line 401
    def list_unknown(by_name = nil)
      list_xref('?', by_name)
    end

list_xref(flag, by_name = nil) click to toggle source

Returns

    # File lib/bio/db/prosite.rb, line 365
    def list_xref(flag, by_name = nil)
      ary = []
      sp_xref.each do |sp_acc, value|
        if value[1] == flag
          if by_name
            sp_name = value[0]
            ary.push(sp_name)
          else
            ary.push(sp_acc)
          end
        end
      end
      return ary
    end

ma() click to toggle source

MA Matrix/profile (>=0 per entry)

    see - ma2re method

Returns

    # File lib/bio/db/prosite.rb, line 111
    def ma
      field_fetch('MA')
    end

Also aliased as: profile
ma2re(matrix) click to toggle source

    prosite profile to regular expression

prosite/profile.txt:

Returns

    # File lib/bio/db/prosite.rb, line 497
    def ma2re(matrix)
      raise NotImplementedError
    end

max_repeat() click to toggle source

Returns

    # File lib/bio/db/prosite.rb, line 306
    def max_repeat
      comment['MAX-REPEAT'].to_i
    end

name() click to toggle source

ID Identification (Begins each entry; 1 per entry)

    ID   ENTRY_NAME; ENTRY_TYPE.  (ENTRY_TYPE : PATTERN, MATRIX, RULE)

Returns

    # File lib/bio/db/prosite.rb, line 36
    def name
      unless @data['ID']
        @data['ID'], @data['TYPE'] = fetch('ID').chomp('.').split('; ')
      end
      @data['ID']
    end

nr() click to toggle source

NR Numerical results (>=0 per entry)

    - SWISS-PROT scan statistics of true and false positives/negatives

/RELEASE SWISS-PROT release number and total number of sequence

    entries in that release.

/TOTAL Total number of hits in SWISS-PROT. /POSITIVE Number of hits on proteins that are known to belong to the

    set in consideration.

/UNKNOWN Number of hits on proteins that could possibly belong to

    the set in consideration.

/FALSE_POS Number of false hits (on unrelated proteins). /FALSE_NEG Number of known missed hits. /PARTIAL Number of partial sequences which belong to the set in

    consideration, but  which  are  not  hit  by the pattern or
    profile because they are partial (fragment) sequences.

Returns

    # File lib/bio/db/prosite.rb, line 150
    def nr
      unless @data['NR']
        hash = {}                 # temporal hash
        fetch('NR').scan(%{/(\S+)=([^;]+);}).each do |k, v|
          if v =~ /^(\d+)\((\d+)\)$/
            hits = $1.to_i                # the number of hits
            seqs = $2.to_i                # the number of sequences
            v = [hits, seqs]
          elsif v =~ /([\d\.]+),(\d+)/
            sprel = $1                    # the number of SWISS-PROT release
            spseq = $2.to_i               # the number of SWISS-PROT sequences
            v = [sprel, spseq]
          else
            v = v.to_i
          end
          hash[k] = v
        end
        @data['NR'] = hash
      end
      @data['NR']
    end

Also aliased as: statistics
pa() click to toggle source

PA Pattern (>=0 per entry)

    see - pa2re method

Returns

    # File lib/bio/db/prosite.rb, line 96
    def pa
      field_fetch('PA')
      @data['PA'] = fetch('PA') unless @data['PA']
      @data['PA'].gsub!(/\s+/, '') if @data['PA']
      @data['PA']
    end

Also aliased as: pattern
pa2re(pattern) click to toggle source

    # File lib/bio/db/prosite.rb, line 483
    def pa2re(pattern)
      self.class.pa2re(pattern)
    end

partial() click to toggle source

Returns

    # File lib/bio/db/prosite.rb, line 256
    def partial
      statistics['PARTIAL']
    end

pattern() click to toggle source
Alias for: pa
pdb_xref() click to toggle source

3D Cross-references to PDB (>=0 per entry)

    3D   name; [name2;...]

Returns

    # File lib/bio/db/prosite.rb, line 411
    def pdb_xref
      unless @data['3D']
        @data['3D'] = fetch('3D').split(/; */)
      end
      @data['3D']
    end

pdoc_xref() click to toggle source

DO Pointer to the documentation file (1 per entry)

    DO   PDOCnnnnn;

Returns

    # File lib/bio/db/prosite.rb, line 424
    def pdoc_xref
      @data['DO'] = fetch('DO').chomp(';')
    end

positive() click to toggle source

Returns

    # File lib/bio/db/prosite.rb, line 205
    def positive
      statistics['POSITIVE']
    end

positive_hits() click to toggle source

Returns

    # File lib/bio/db/prosite.rb, line 210
    def positive_hits
      positive.first
    end

positive_sequences() click to toggle source

Returns

    # File lib/bio/db/prosite.rb, line 215
    def positive_sequences
      positive.last
    end

profile() click to toggle source
Alias for: ma
re() click to toggle source

    # File lib/bio/db/prosite.rb, line 487
    def re
      self.class.pa2re(self.pa)
    end

release() click to toggle source

Returns

    # File lib/bio/db/prosite.rb, line 175
    def release
      statistics['RELEASE']
    end

ru() click to toggle source

RU Rule (>=0 per entry)

    RU   Rule_Description.

    The rule is described in ordinary English and is free-format.

Returns

    # File lib/bio/db/prosite.rb, line 125
    def ru
      field_fetch('RU')
    end

Also aliased as: rule
rule() click to toggle source
Alias for: ru
site() click to toggle source

Returns

    # File lib/bio/db/prosite.rb, line 311
    def site
      if comment['SITE']
        num, desc = comment['SITE'].split(',')
      end
      return [num.to_i, desc]
    end

skip_flag() click to toggle source

Returns

    # File lib/bio/db/prosite.rb, line 319
    def skip_flag
      if comment['SKIP-FLAG'] == 'TRUE'
        return true
      end
    end

sp_xref() click to toggle source
Alias for: dr
statistics() click to toggle source
Alias for: nr
swissprot_release_number() click to toggle source

Returns

    # File lib/bio/db/prosite.rb, line 180
    def swissprot_release_number
      release.first
    end

swissprot_release_sequences() click to toggle source

Returns

    # File lib/bio/db/prosite.rb, line 185
    def swissprot_release_sequences
      release.last
    end

taxon_range(expand = nil) click to toggle source

Returns

    # File lib/bio/db/prosite.rb, line 287
    def taxon_range(expand = nil)
      range = comment['TAXO-RANGE']
      if range and expand
        expand = []
        range.scan(/./) do |x|
          case x
          when 'A'; expand.push('archaebacteria')
          when 'B'; expand.push('bacteriophages')
          when 'E'; expand.push('eukaryotes')
          when 'P'; expand.push('prokaryotes')
          when 'V'; expand.push('eukaryotic viruses')
          end
        end
        range = expand
      end
      return range
    end

total() click to toggle source

Returns

    # File lib/bio/db/prosite.rb, line 190
    def total
      statistics['TOTAL']
    end

total_hits() click to toggle source

Returns

    # File lib/bio/db/prosite.rb, line 195
    def total_hits
      total.first
    end

total_sequences() click to toggle source

Returns

    # File lib/bio/db/prosite.rb, line 200
    def total_sequences
      total.last
    end

unknown() click to toggle source

Returns

    # File lib/bio/db/prosite.rb, line 220
    def unknown
      statistics['UNKNOWN']
    end

unknown_hits() click to toggle source

Returns

    # File lib/bio/db/prosite.rb, line 225
    def unknown_hits
      unknown.first
    end

unknown_sequences() click to toggle source

Returns

    # File lib/bio/db/prosite.rb, line 230
    def unknown_sequences
      unknown.last
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.